## org.eclipse.datatools.modelbase.sql.tables.util
Class SQLTablesAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.tables.util.SQLTablesAdapterFactory

Direct Known Subclasses:
  SQLTablesItemProviderAdapterFactory

    public class SQLTablesAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SQLTablesPackage`

Constructor Summary
`SQLTablesAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`.
`Adapter` `createBaseTableAdapter()` Creates a new adapter for an object of class '`Base Table`'.
`Adapter` `createColumnAdapter()` Creates a new adapter for an object of class '`Column`'.
`Adapter` `createDerivedTableAdapter()` Creates a new adapter for an object of class '`Derived Table`'.
`Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`Adapter` `createPersistentTableAdapter()` Creates a new adapter for an object of class '`Persistent Table`'.
`Adapter` `createSQLObjectAdapter()` Creates a new adapter for an object of class '`SQL Object`'.
`Adapter` `createTableAdapter()` Creates a new adapter for an object of class '`Table`'.
`Adapter` `createTemporaryTableAdapter()` Creates a new adapter for an object of class '`Temporary Table`'.
`Adapter` `createTriggerAdapter()` Creates a new adapter for an object of class '`Trigger`'.
`Adapter` `createTypedElementAdapter()` Creates a new adapter for an object of class '`Typed Element`'.
`Adapter` `createViewTableAdapter()` Creates a new adapter for an object of class '`View Table`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLTablesAdapterFactory

    public SQLTablesAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createViewTableAdapter

    public Adapter createViewTableAdapter()

  Creates a new adapter for an object of class '`View Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ViewTable`

### createTemporaryTableAdapter

    public Adapter createTemporaryTableAdapter()

  Creates a new adapter for an object of class '`Temporary Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TemporaryTable`

### createTableAdapter

    public Adapter createTableAdapter()

  Creates a new adapter for an object of class '`Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Table`

### createPersistentTableAdapter

    public Adapter createPersistentTableAdapter()

  Creates a new adapter for an object of class '`Persistent Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PersistentTable`

### createDerivedTableAdapter

    public Adapter createDerivedTableAdapter()

  Creates a new adapter for an object of class '`Derived Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DerivedTable`

### createBaseTableAdapter

    public Adapter createBaseTableAdapter()

  Creates a new adapter for an object of class '`Base Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BaseTable`

### createColumnAdapter

    public Adapter createColumnAdapter()

  Creates a new adapter for an object of class '`Column`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Column`

### createTriggerAdapter

    public Adapter createTriggerAdapter()

  Creates a new adapter for an object of class '`Trigger`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Trigger`

### createEModelElementAdapter

    public Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EModelElement`

### createENamedElementAdapter

    public Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.ENamedElement`

### createSQLObjectAdapter

    public Adapter createSQLObjectAdapter()

  Creates a new adapter for an object of class '`SQL Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLObject`

### createTypedElementAdapter

    public Adapter createTypedElementAdapter()

  Creates a new adapter for an object of class '`Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedElement`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.